Bug 186070 - FC5 anaconda crashes on Power5/iSeries during setup
FC5 anaconda crashes on Power5/iSeries during setup
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-03-21 09:34 EST by Fabian Arrotin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-21 13:52:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The anaconda dump (44.59 KB, text/plain)
2006-03-21 09:34 EST, Fabian Arrotin
no flags Details

  None (edit)
Description Fabian Arrotin 2006-03-21 09:34:26 EST
Description of problem: when installing FC5 on a IBM Power5 iSeries machine, the
installer kernel sees a /dev/sdb drive for the ppc64.img image used to boot the
partition. (i've only created a /dev/sda disk inside of the iSeries).
During the partition step, i've unchecked the /dev/sdb drive and didn't change
the partition layout on this 7mb drive but anaconda just before launching the
install (so just after packages selection) tries to write something on this
/dev/sdb drive ... and crashes

Version-Release number of selected component (if applicable):

How reproducible: always

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Fabian Arrotin 2006-03-21 09:34:27 EST
Created attachment 126399 [details]
The anaconda dump
Comment 2 Paul Nasrat 2006-03-21 13:52:14 EST
Our filter for STMF drives wasn't being hit, I've changed it to do it all all
ppc machines for now.

Hopefully using the CD will work around for now (I think vscsic presents
differently with an iso9660 STMF file).
Comment 3 Fabian Arrotin 2006-03-22 02:40:33 EST
Using the CD works effectively on this machine. I had no physical access to this
machine but i was able to upload the boot.iso on the i5, create a virtual cd
with the iso, change the boot order of my partition to OpenFirwmare, enter the
OF menu and choose my virtual cd as a boot device. OF boots on the cd and i was
at this time able to install FC5 normally ...
I still consider that it's not normal that the installer kernel handled the
ppc64.img as a hard disk, but the other method works ...

Note You need to log in before you can comment on or make changes to this bug.